    Program d01bcfe

!     D01BCF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: d01bcf, nag_wp
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: n = 7, nout = 6
!     .. Local Scalars ..
      Real (Kind=nag_wp)               :: a, b, c, d
      Integer                          :: ifail, itype, j
!     .. Local Arrays ..
      Real (Kind=nag_wp)               :: abscis(n), weight(n)
!     .. Executable Statements ..
      Write (nout,*) 'D01BCF Example Program Results'

      a = 0.0E0_nag_wp
      b = 1.0E0_nag_wp
      c = 0.0E0_nag_wp
      d = 0.0E0_nag_wp
      itype = -3

      ifail = 0
      Call d01bcf(itype,a,b,c,d,n,weight,abscis,ifail)

      Write (nout,*)
      Write (nout,99999) 'Laguerre formula,', n, ' points'
      Write (nout,*)
      Write (nout,*) '      Abscissae             Weights'
      Write (nout,*)
      Write (nout,99998)(abscis(j),weight(j),j=1,n)

99999 Format (1X,A,I3,A)
99998 Format (1X,E15.5,5X,E15.5)
    End Program d01bcfe
